Skip to main content
PUT
/
api
/
external
/
v2
/
build-a-box
Update an existing Build-A-Box subscription bundle
curl --request PUT \
  --url https://subscription-admin.appstle.com/api/external/v2/build-a-box \
  --header 'Content-Type: application/json' \
  --data '
{
  "shop": "<string>"
}
'
{
  "id": 45678,
  "shop": "example-shop.myshopify.com",
  "bundleName": "Premium Coffee Selection - Updated",
  "bundleHandle": "premium-coffee-selection",
  "uniqueRef": "bab_abc123xyz",
  "description": "Choose from our expanded selection of artisan coffee blends",
  "buildABoxType": "SINGLE_PRODUCT",
  "buildBoxVersion": "V2",
  "minProductCount": 3,
  "maxProductCount": 6,
  "pricingType": "PER_PRODUCT",
  "discount": 15,
  "discountType": "PERCENTAGE",
  "allowOneTimePurchase": true,
  "active": true,
  "availableProducts": [
    {
      "productId": 111111,
      "variantId": 222222,
      "title": "Medium Roast Coffee - 12oz",
      "price": "14.99"
    },
    {
      "productId": 111111,
      "variantId": 333333,
      "title": "Dark Roast Coffee - 12oz",
      "price": "15.99"
    },
    {
      "productId": 111111,
      "variantId": 444444,
      "title": "Espresso Roast Coffee - 12oz",
      "price": "16.99"
    }
  ],
  "frequencies": [
    {
      "interval": "MONTH",
      "intervalCount": 1,
      "displayName": "Monthly"
    },
    {
      "interval": "WEEK",
      "intervalCount": 2,
      "displayName": "Bi-Weekly"
    }
  ],
  "createdAt": "2024-03-15T10:30:00Z",
  "updatedAt": "2024-03-20T14:45:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

Body

application/json
shop
string
required
id
integer<int64>
subscriptionBundlingEnabled
boolean
subscriptionId
integer<int64>
minProductCount
integer<int32>
maxProductCount
integer<int32>
discount
number<double>
uniqueRef
string
groupName
string
bundleRedirect
enum<string>
Available options:
CART,
CHECKOUT,
CUSTOM,
NONE
customRedirectURL
string
minOrderAmount
number<double>
tieredDiscount
string
productViewStyle
enum<string>
Available options:
QUICK_ADD,
VIEW_DETAILS
buildABoxType
enum<string>
Available options:
CLASSIC,
SINGLE_PRODUCT,
MIX_AND_MATCH,
INFINITE,
CUSTOMIZE_BUNDLE,
CLASSIC_BUILD_A_BOX,
SINGLE_PRODUCT_BUILD_A_BOX,
VOLUME_DISCOUNT,
DISCOUNTED_PRICING,
SHIPPING_DISCOUNT,
BUY_X_GET_Y,
SECTIONED_BUNDLE
singleProductSettings
string
subscriptionGroup
string
bundleTopHtml
string
bundleBottomHtml
string
proceedToCheckoutButtonText
string
chooseProductsText
string
name
string
trackInventory
boolean
allowOneTimePurchase
boolean
thirdPartyRule
boolean
selectionType
enum<string>
Available options:
FIXED,
FLEXIBLE
variants
string
discountedVariants
string
sections
string
appliesOn
enum<string>
Available options:
PRODUCT,
COLLECTION,
BOTH,
ONE_TIME,
SUBSCRIPTION
productDiscountType
enum<string>
Available options:
SELECTED_PRODUCT,
EACH_PRODUCT
collectionData
string
productSelectionType
enum<string>
Available options:
PRODUCT,
COLLECTION
sellingPlanIds
string
minUniqueProductCheck
boolean

Response

Build-A-Box subscription bundle successfully updated

shop
string
required
id
integer<int64>
subscriptionBundlingEnabled
boolean
subscriptionId
integer<int64>
minProductCount
integer<int32>
maxProductCount
integer<int32>
discount
number<double>
uniqueRef
string
groupName
string
bundleRedirect
enum<string>
Available options:
CART,
CHECKOUT,
CUSTOM,
NONE
customRedirectURL
string
minOrderAmount
number<double>
tieredDiscount
string
productViewStyle
enum<string>
Available options:
QUICK_ADD,
VIEW_DETAILS
buildABoxType
enum<string>
Available options:
CLASSIC,
SINGLE_PRODUCT,
MIX_AND_MATCH,
INFINITE,
CUSTOMIZE_BUNDLE,
CLASSIC_BUILD_A_BOX,
SINGLE_PRODUCT_BUILD_A_BOX,
VOLUME_DISCOUNT,
DISCOUNTED_PRICING,
SHIPPING_DISCOUNT,
BUY_X_GET_Y,
SECTIONED_BUNDLE
singleProductSettings
string
subscriptionGroup
string
bundleTopHtml
string
bundleBottomHtml
string
proceedToCheckoutButtonText
string
chooseProductsText
string
name
string
trackInventory
boolean
allowOneTimePurchase
boolean
thirdPartyRule
boolean
selectionType
enum<string>
Available options:
FIXED,
FLEXIBLE
variants
string
discountedVariants
string
sections
string
appliesOn
enum<string>
Available options:
PRODUCT,
COLLECTION,
BOTH,
ONE_TIME,
SUBSCRIPTION
productDiscountType
enum<string>
Available options:
SELECTED_PRODUCT,
EACH_PRODUCT
collectionData
string
productSelectionType
enum<string>
Available options:
PRODUCT,
COLLECTION
sellingPlanIds
string
minUniqueProductCheck
boolean